﻿var Sign = "";//全局签名
var Sendtype = 0; //发送类别(定时，或不定时)
var Sendtime = ""; //发送时间
var isAddInput = false; //全局变量，是否添加编辑框
var recCount = document.getElementById("recCount");
var msg = document.getElementById("txtMsg");
var pageLayer; 

(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);
    function onDeviceReady() {
        document.addEventListener("backbutton", onBackKeyDown, false);
    }
    function onBackKeyDown(e) {
        var ifm = document.getElementById("addList");
        var ifm2 = document.getElementById("import");
       
        if (ifm || ifm2) {
            layer.closeAll();
            e.preventDefault();
        } else {
            history.back();
        }
    }
})();

$(document).ready(function () {	
    isVistor();//判断游客登录
    showSign();//获得签名,并显示
    chkType();//判断是否定时发送
    initDate();//初始化日期控件
    initMenu(); //初始化弹出菜单
	initReceive();//初始化收件人

    //保存缓存的发送内容
    $("#txtMsg").blur(function () {
        localStorage.tmpMsg = $("#txtMsg").val();
    })
	
	//显示缓存的信息
	var msg = document.getElementById("txtMsg");
	if (localStorage.tmpMsg) {
		msg.innerText = localStorage.tmpMsg;
	}
	//显示缓存的电话号码
	if (localStorage.tmpRec) {
		$("#txtReceive").val(localStorage.tmpRec);
	}
	//显示缓存的号码数量
	if (localStorage.tmpCount) {
        recCount.innerText = "当前收件号码共："+localStorage.tmpCount+"个";
    }
    $("#ischange").change(function () {
        alert("checked");
    });
});

//清除收件人
function clearReceive() {
    $('#txtReceive').val("");
    localStorage.Receive = "";
    localStorage.tmpRec = "";
    document.getElementById("recCount").innerHTML = "当前收件号码共:0个";
}

//直接发送
function sendMsgNow() {
    sessionStorage.isTime = 0;
    sessionStorage.sendTime = '';
    sendMsg();
}
//定时发送
function sendMsgTime() {
    sessionStorage.isTime = 1;
    sendMsg();
}
//初始化收件人
function initReceive(){ 
    //如果没有收件人	
    if (localStorage.Receive) {
		var rec = '';
		var s = localStorage.Receive;
		var str = s.substr(0, s.length - 1); //去掉最后一个;号
        var contacts = str.split(";");
		var contacts = unique(str.split(";"));

        //这里要先检查是否为手机号
        for (var i = 0 ; i < contacts.length; i++) {
            var arr = contacts[i].toString().split(",");
            rec += arr[1]+',';
        }
		rec = rec.replace(/\s/g,'').replace(/-/g,'');
        var arrData = rec.match(/1[3456789]\d{9}/g);
        if (arrData && arrData.length > 0) {
            rec = arrData.join(',');//转换为字符串
        }
		
		//收件人去重
		arrData = unique(rec.split(","));
		rec = arrData.join(",");
		
        localStorage.tmpRec = rec; //保存当前的电话号码
		localStorage.tmpCount = arrData.length;
	} else {
        localStorage.tmpRec = ''; //保存当前的电话号码
        localStorage.tmpCount = 0; //保存当前的电话号码
    }
}  

//生成收件人
function getReceive() {
	var rec = $('#txtReceive').val();
	var rec2 = "";
	if (rec!='') {
		rec = rec.replace(/\s/g, "");
		rec = rec.replace(/，/g, ",");

		var arrRec = rec.split(",");
		//检查手机号码是否正确
		for (var i = 0; i < arrRec.length; i++) {
			rec2 += (arrRec[i] + "," + arrRec[i] + ",;");
		}
		localStorage.Receive = rec2;
	}
}

//过滤号码提示
function filterTip(){  
	if (localStorage.tmpCount>0){
		var target = $('#filterTip');  
		target.show();
		
		setTimeout(function (){ //3秒后隐藏
			target.hide()
		}, 3000);
	}
}  

function initMenu() {
    var menuContent = $(".menuMain ul");
    $(".menuHead").click(
        function (ev) {
            var oEvent = ev || event;
            menuContent.toggle();
            oEvent.cancelBubble = true;
            oEvent.stopPropagation();
        }
    );

    $(".menuContent").click(
        function (ev) {
            var oEvent = ev || event;
            oEvent.stopPropagation();
        }
    );

    $("body").click(
        function () {
            menuContent.hide();
        }
    );
}

//统计号码数量
function mobileCount(e) {
    var arrData = new Array();
    var rec = document.getElementById("txtReceive");
    var mobiles = rec.value;
    var key = event.keyCode;
    if (key == 8) return; 

    var length = mobiles.length;
    if (length > 10) {
        //如果最后11位是电话,则加上,号
        var subStr = mobiles.substr(mobiles.length - 11);
        if (isMobile(subStr)) {
           mobiles += ",";
        }
    }
    document.getElementById("recCount").innerHTML = "当前收件号码共:" + getCount(mobiles.toString(), ",") + "个";
    $("#txtReceive").val(mobiles.toString());
}

//统计字符串中包含{}或{xxXX}的个数
function getCount(str1, str2) {
    var arr = str1.split(str2);
    var length = arr.length;
    if (length > 0 && !isMobile(arr[length - 1])) {
        length--;
    }
    return length;
}

function paste() {
    var arrData = new Array();
    var mob = $("#txtReceive").val();
	var count = mob.split(',');

    if (!mob) {
        $("#txtReceive").attr("placeholder", "请输入手机号");
    }
	mob = mob.replace(/\s/g,'').replace(/-/g,'');
    arrData = mob.match(/1[3456789]\d{9}/g);
    if (arrData == "" || arrData == null) {
        //ObjM.value = "";
        recCount.innerHTML = "当前收件号码共：0个";
		localStorage.tmpCount = 0;
		localStorage.tmpRec = mob;
		localStorage.Receive = '';
        return;
    }
    if (arrData.length > 0) {
        var re = /(\,)+/g;
        var mobiles = arrData.join(',');//转换为字符串
        mobiles = mobiles.replace(re, ",");
		
		//收件人去重
		arrData = unique(mobiles.split(","));
		mobiles = arrData.join(",");
		
        document.getElementById("txtReceive").value = mobiles;
        document.getElementById("recCount").innerHTML = "当前收件号码共：" + (arrData.length) + "个";
		localStorage.tmpCount = arrData.length;
		localStorage.tmpRec = mob;
		//localStorage.Receive = mob;
		getReceive();
    }
	
	if (arrData.length!=count.length) filterTip();//显示过滤提示
}

//判断传入的参数,如果有type==1,则勾选定时发送
function chkType() {
    var isTime = sessionStorage.isTime;
    if (isTime && isTime == 1) {
        if (sessionStorage.sendTime) {
            $("#timeText").text("定时发送:" + sessionStorage.sendTime);
        } else {
            $("#timeText").text("定时发送");
        }
        
        $(".divTime").show();
        $("#divSend").hide();
        //设置时间组件默认时间

        var obj = document.getElementById("chkTime");
        if (obj) {
            obj.checked = true;
        }
    } else {
        $(".divTime").hide();
        $("#divSend").show();
    }
}
//初始化日期控件
function initDate() {
    return;//暂时不用时间控件
    var currYear = (new Date()).getFullYear();
    var opt = {};
    opt.date = { preset: 'date' };
    opt.datetime = { preset: 'datetime' };
    opt.time = { preset: 'time' };
    opt.default = {
        theme: 'android-ics light', //皮肤样式
        display: 'modal', //显示方式 
        mode: 'scroller', //日期选择模式
        dateFormat: 'yyyy-mm-dd',
        lang: 'zh',
        showNow: true,
        nowText: "今天",
        startYear: currYear, //开始年份
        endYear: currYear + 10, //结束年份
        onSelect: function (valueText, inst) {
            document.getElementById("chkTime").checked = true;
        }
    };
    var optDateTime = $.extend(opt['datetime'], opt['default']);
    var optTime = $.extend(opt['time'], opt['default']);
    $("#AbsentEndDate").mobiscroll(optDateTime).datetime(optDateTime);//年月日时分型
}

function chkTimeChange() {
    if (this.checked) {

    } else {
        $('.divTime').hide();
        $('#divSend').show();
        sessionStorage.isTime = 0;
        sessionStorage.sendTime = '';
    }
    
}

//获得签名,并显示
function showSign() {
    var signs = localStorage.sign;
    var obj = document.getElementById("spanSign");
    if (signs && signs !="undefined") {
        if (obj) obj.innerText = signs.split("\n")[0];
    } else {
       obj.innerText = "";
    }
}

//设置签名
function setSign(sign) {
    var obj = document.getElementById("spanSign");
    var objMsg = document.getElementById("txtMsg");
    var msg = objMsg.value;
    if (obj && sign) {
        obj.innerText = sign;
        if (msg && msg.indexOf("【") == 0) {
            msg = msg.replace(/^【.*?】/, sign);
           
        } else {
            msg = sign + msg;
        }
        objMsg.value = msg;
        sessionStorage.sign = sign;//缓存一下签名
    }
    layer.closeAll();
}

//显示选择签名对话框
function showDiagSign() {
    var content = '<div class="diagSign">';
    var li = "";
    var sign = localStorage.sign;
    var tmpSign;
    if (!sign || sign =="undefined") {
        alert3("您当前没有签名，点确定创建签名", function () {
            location.href = "Sign.html?ref=Send";
        });
        return;
    }
    arrSign = sign.split("\n");
    for (var i = 0; i < arrSign.length; i++) {
        tmpSign = arrSign[i];
        if(tmpSign)
            li += '<div onclick="setSign(\'' + tmpSign + '\')">' + tmpSign + '</div>\r\n';
    }
    content += li;
    content += "</div>";

    layer.open({
        title: '选择签名',
        content: content,
        btn: ['确定', '取消'],
        yes: function (index) {layer.close(index); }
    });
}

//显示当前已经选择的联系人
function showReceive() {
	initReceive();//初始化收件人
	filterTip();//显示过滤提示

	//显示缓存的电话号码
	if (localStorage.tmpRec) {
		$("#txtReceive").val(localStorage.tmpRec);
	}
	//显示缓存的号码数量
	if (localStorage.tmpCount) {
        recCount.innerText = "当前收件号码共："+localStorage.tmpCount+"个";
	}
}

//检查本地余额,发送信息
function sendMsg() {
    if (!getTestMsg()) return;
    //如果是第三方登录并且没有绑定手机号码，则跳转到绑定手机号码页面
    if (!isBind()) {
        alert3("您当前未绑定手机号，不能发送信息，前往绑定 >>", function () {
            location.href = "BindMobile.html";
        });
        return;
    }
    //获取当前发送条数
    if (localStorage.tmpCount<0) {
        alert2("您当前未选择任何收件人");
        return;
    }
    var tmpCount = parseInt(localStorage.tmpCount);
    var tmpMsgCount = 0; //当前发送条数

    //如果没有任何接收人
    if (isNaN(tmpCount) || tmpCount < 1) {
        alert2("当前没有选择任何收件人，请重新选择!")
        return;
    }
    var tmpMsg = chkSign(); //检查内容中是否有签名
    if (!tmpMsg) return; //没有签名

    tmpMsg = tmpMsg.replace(/[\b\f\n\r\t]/g, '');
    localStorage.tmpMsg = tmpMsg; //保存信息到本地，以便充值后再继续发送
    if (tmpMsg.length < 1) {
        alert2("您当前没有输入任何短信内容");
        return;
    }

    if (!chkTime()) return;

    //计算当前短信字数，与需要发送的条数,默认70字每条，长短信按60字每条计算
    var tmpMsgLength = tmpMsg.length 
    //如果信息内容大于３００个字符，则提示
    if (tmpMsgLength > 300) {
        alert2("短信内容最大不能超过300个字符，请修改后重新提交!");
        return;
    }

    if (tmpMsgLength <= 70) {
        tmpMsgCount = localStorage.tmpCount;
    } else {
        tmpCount = Math.ceil(tmpMsgLength / 60) * localStorage.tmpCount;
    }
    
    //当前扣费信息条数
    localStorage.tmpMsgCount = tmpCount;

    if (!localStorage.money) {
        localStorage.money = 0;
    }
    var money = Number(localStorage.money);
    if (isNaN(money)) money = 0;

    //弹出对话框，确认信息条数
    var msg = ""
    if (tmpMsgLength <= 70) {
        msg = "<div style='font-size:14px;'>本次短信的计费条数为" + tmpCount + "条，是否确定发送？</div>"
    } else {
        msg = "<div style='font-size:14px;'>本次短信内容长度为" + tmpMsgLength + "个字,按" + Math.ceil(tmpMsgLength / 60) + "条短信计费。总计费条数为" + tmpCount + "条，是否确定发送？</div>"
    }
    layer.open({
        title: '提示',
        content: msg ,
        btn: ['确定', '取消'],
        yes: function (index) {
            //如果当前帐户余额为0,或者余额不足,跳转到充值
            var money2 = tmpCount * 0.08;
            if (money <= 0 || money + 0.02 < money2) { //js小数操作精度的问题
                localStorage.action = "send"; //设置当前的操作为发送
                window.location.href = "Recharge.html";
            } else {
                sendSubmit();
            }
            layer.close(index);
        }
    });
}


//生成测试信息收件人
function getTestMsg() {
    var b = false;
    var rec = document.getElementById("txtReceive").value;
    var rec2 = "";
    if (!rec) {
        alert2("收件人不能为空!");
        return b;
    }
    rec = rec.replace(/\s/g, "");
    rec = rec.replace(/，/g, ",");

    var arrRec = rec.split(",");
   
    //检查手机号码是否正确
    for (var i = 0; i < arrRec.length; i++) {
        if (!isMobile(arrRec[i])) {
            continue;
        }
        rec2 += (arrRec[i] + "," + arrRec[i] + ",;");
    }
    localStorage.tmpCount = arrRec.length;
    localStorage.Receive = rec2;
    b = true;
    return b;
}

//提交表单
function sendSubmit() {
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "json",
        data: {
            "username": localStorage.username,
            "token": localStorage.token,
			"receive": localStorage.Receive,
            "msg":Sign + localStorage.tmpMsg,
            "action": "sendMsg2",
            "sendtype": Sendtype,
            "sendtime": Sendtime
        },
        timeout: 120000,
        beforeSend: function (XMLHttpRequest) {
            $("#sendMsg").attr("disabled", true);
        },
        success: function (data, textStatus) {
            if (data.status == 1) {
                //发送成功,扣费
                localStorage.money = data.amount;

                //设置变量值
                localStorage.tmpCount=0;
                localStorage.tmpMsg="";
                localStorage.tmpMsgCount = 0;
                localStorage.tmpPayType = 0;
                localStorage.Receive = "";
                localStorage.tmpRec = "";

                var msg = "";
                if (data.msg) {
                    msg = data.msg;
                } else {
                    msg = "提交成功! 若无空号 到达率99％, 若无到达 全额退款。"
                }
                 //取消定时发送设置
                sessionStorage.isTime = 0;
                sessionStorage.sendTime = '';
                chkType();
                 //这里弹出发送成功动画
                showGif(msg);
            } else {
                $("#sendMsg").attr("disabled", false);
                alert2("发送失败：" + data.msg);
            }
            $("#sendMsg").attr("disabled", false);
            sessionStorage.isTime = 0; 
            sessionStorage.sendTime = '';
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
            $("#sendMsg").attr("disabled", false);
            sessionStorage.isTime = 0;
            sessionStorage.sendTime = '';
           
           
        }
    });
    return false;
}

//显示动画
function showGif(msg) {
    var html = '<div style="position:absolute;z-index:999;top:0px; bottom:0px; width:100%; height:100%; ';
    html += 'background-color: rgba(0,0,0,.7);  display:table;"  onclick="delGif();">';
    html += '<div style="display:table-cell; text-align:center; vertical-align:middle;"><img src="img/sendGif.gif"/></div></div>';
    var obj = document.getElementById("divGif");
    if (obj) {
        obj.innerHTML = html;
    }
    setTimeout("delGif('" + msg + "')", 2000);
}
//删除动画
function delGif(msg) {
    var obj = document.getElementById("divGif");
    if (obj) {
        obj.innerHTML = "";
    }
    alert3(msg, function () { window.location.href = "Send.html"; });
}

//检查签名，如果为空，添加默认签名
//如果有签名，则返回带签名的内容，否则返回空值
function chkSign() {
    //如果发送内容中有签名，则默认不添加
    var msg = document.getElementById("txtMsg").value;
    var index1 = msg.indexOf("【");
    var index2 = msg.indexOf("】");

    if (index1 >= 0 && index2 > 0) {
        if (index1 == 0 || index2 == msg.length - 1) {

        } else {
            alert2("签名应该位于内容的最前面");
            msg = "";
        }
    } else {
        //没有签名,添加默认签名
        var sign = document.getElementById("spanSign").innerText;
        if (sign) {
            msg = sign + msg;
        } else {
            alert3("内容中没有签名，请添加签名后再发送", function () {
                location.href = "Sign.html?ref=send";
            });
            msg = "";
        }
    }
    return msg;
}



//检查定时发送信息
function chkTime() {
    var b = true;
    var obj = document.getElementById("chkTime");
    Sendtime = sessionStorage.sendTime;
    Sendtype = sessionStorage.isTime;
    if (Sendtime && Sendtype == 1) {
        
        if (!cTime(Sendtime + ":00")) {
            b = false;
            alert2("定时发送时间必须大于当前时间!");
        }
    }
    return b;
}

//定时发送时间不能小于当前时间
function cTime(startTime) {
    var startdate = new Date((startTime).replace(/-/g, "/"));
    var date = new Date();

    if (startdate < date) {
        return false;
    }
    else {
        return true;
    }
}

//获取当前的日期时间 格式“yyyy - MM - dd HH: MM: SS”
function getNowFormatDate() {
    var date = new Date();
    var seperator1 = "-";
    var seperator2 = ":";
    var month = date.getMonth() + 1;
    var strDate = date.getDate();
    if (month >= 1 && month <= 9) {
        month = "0" + month;
    }
    if (strDate >= 0 && strDate <= 9) {
        strDate = "0" + strDate;
    }
    var currentdate = date.getFullYear() + seperator1 + month + seperator1 + strDate
            + " " + date.getHours() + seperator2 + date.getMinutes()
            + seperator2 + date.getSeconds();
    return currentdate;
}

//打开删除接收人对话框
function dialogRemoveReceive() {
    var pageii = layer.open({
        type: 1
        , content: '<iframe src="RemoveReceive.html" id="ifm"  scrolling="no" frameborder="0"></iframe>'
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
    });
    var ifm = document.getElementById("ifm");
    if (ifm) {
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
    }
}

//New
//打开通讯录对话框
function showAddReceive() {
    pageLayer = layer.open({
        type: 1
        , content: '<iframe src="AddReceive.html" id="addList"  scrolling="no" frameborder="0"></iframe>'
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
        });
    var ifm = document.getElementById("addList");
    if (ifm) {
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
    }
}

//当页面大小变化时
window.onresize = function () {
    var ifm = document.getElementById("addList");
    var ifm2 = document.getElementById("import");
    if (ifm) {
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
    }
    if (ifm2) {
        ifm2.height = document.documentElement.clientHeight;
        ifm2.width = document.documentElement.clientWidth;
    }
}

//打开导入号码对话框
function showImport() {
    pageLayer = layer.open({
        type: 1
        , content: '<iframe src="Import.html" id="import"  scrolling="no" frameborder="0"></iframe>'
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
        });
    var ifm = document.getElementById("import");
    if (ifm) {
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
    }
}


