﻿var Contact;
var Contacts = null; //全局联系人变量
var Length = 0; //总共有多少联系人
var CurId = 0; //当前操作的联系人

(function () {
    "use strict";
    document.addEventListener('deviceready', onDeviceReady.bind(this), false);

    function onDeviceReady() {
       
    };
})();

//通讯录的备份
function contactsBak() {
    if (!IsLogin()) {
        alert2("您当前的身份是游客，不能使用该功能！");
        return;
    }
    var contactsCount = 0; //联系人总人数
    var options = new ContactFindOptions();

    options.filter = "";
    options.multiple = true;
    options.hasPhoneNumber = true;
    var fields = ["displayName"];

    layer.open({
        type: 2
        , content: '备份中'
    });
    //alert("开始备份");
    navigator.contacts.find(fields, contactfindSuccess, contactfindError, options);
    function contactfindSuccess(contacts) {
        //得到数据后，直接上传
        var counts = contacts.length;
        var strContacts = JSON.stringify(contacts);
        $.ajax({
            type: "POST",
            url: "http://msg.106117.com/submit_ajax.ashx",
            dataType: "json",
            data: {
                "username": localStorage.username,
                "token": localStorage.token,
                "action": "contactBackup",
                "contacts": strContacts
            },
            success: function (data, textStatus) {
                layer.closeAll();
                if (data.status == 1) {
                    alert2("成功备份" + counts + "个号码");
                } else {
                    alert2("备份失败");
                }
            }
        })
    }
    function contactfindError(message) {
        alert2("备份联系人出错:" + message);
    }
};

//通讯录的下载与恢复
function contactsRecovery() {
    if (!IsLogin()) {
        alert2("您当前的身份是游客，不能使用该功能！");
        return;
    }

    //1,显示加载图片
    //2,开始恢复
    layer.open({
        type: 2
        , content: '还原中...'
    });
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "json",
        data: {
            "username": localStorage.username,
            "token": localStorage.token,
            "action": "contactRecovery"
        },
        success: function (data, textStatus) {
            
            if (Array.isArray(data) && data.length > 0) {
                /*
                for (var i = 0; i < data.length; i++) {
                    data[i].id = null;
                    addContact(data[i]);
                }
                alert2("还原成功" +data.length + "个号码");
                */
                Contacts = data;
                addContacts(0);
            } else {
                alert2("没有可还原的数据");
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            alert2("出错提示：" + errorThrown); //test
        }
    });
}

//查找联系人
function findContact() {
    var options = new ContactFindOptions();
    options.filter = "qinson";
    options.multiple = false;
    fields = ["displayName"];
    navigator.contacts.find(fields, contactfindSuccess, contactfindError, options);

    function contactfindSuccess(contacts) {
        alert("find");
        Contact = contacts[0];
    }

    function contactfindError(message) {
        alert('查找出错: ' + message);
    }
}

//新增一个联系人
function addContact(contact) {
    if (contact) {
        var myContact = navigator.contacts.create(contact);
        myContact.save(contactSuccess, contactError);
        //myContact.save();
    }
    function contactSuccess() {
        //alert("保存成功")
    }

    function contactError(message) {
        //alert2('保存失败: ' + JSON.stringify(message));
        alert2("出现意外错误，保存失败");
    }
}

//根据全局变量新增多个联系人
function addContacts(i) {
    if (!Contacts || !Contacts[i]) return;
    Contacts[i].id = null;
    var myContact = navigator.contacts.create(Contacts[i]);
    myContact.save(contactSuccess, contactError);

    function contactSuccess() {
        i++;
        if (i < Contacts.length) {
            $(".layui-m-layercont p:first").text("已还原" + (i + 1) + "个号码(共" + Contacts.length+ "个)");
            addContacts(i);
        } else {
            layer.closeAll();
            alert2("还原成功" + i + "个号码");
        }
    }

    function contactError(message) {
        //alert2('保存失败: ' + JSON.stringify(message));
        layer.closeAll();
        alert2("出现意外错误，保存失败");
    }
}

//删除一个联系人
function delContact(contact) {
    alert(JSON.stringify(contact));
    if (contact) contact.remove(contactRemoveSuccess, contactRemoveError);
    function contactRemoveSuccess(contact) {
        alert("Contact Deleted");
    }
    function contactRemoveError(message) {
        alert('Failed because: ' + JSON.stringify(message));
    }
}

