/* 
*作者：qinson
*时间：2017-2-8
----------------------------------------------------------*/

var Source = "百度应用市场"; //这里写上推广渠道
var version="3.8";
var DEVICE = "Android"; //定义设备
var SITE = "http://msg.106117.com/";
var SERVER = "http://msg.106117.com/submit_ajax.ashx"; //定义服务器网址
var DEBUG = false; //是否测试

String.prototype.trim = function () {
    return this.replace(/(^\s*)|(\s*$)/g, '');
} 

//取得js对象的长度
function getPropertyCount(o) {
    var n, count = 0;
    for (n in o) {
        if (o.hasOwnProperty(n)) {
            count++;
        }
    }
    return count;
}  

//删除最后一个特定字符
String.prototype.trimEnd = function(char){
    if (this[this.length-1]==char){
        return this.substring(0,this.length-1);
    }
    return this;
}

//查找某个字符串出现次数
function getlen(str, ch) {
    var ret = 0;
    for (var i = 0; i < str.length; i++) { if (str.charAt(i) == ch) ret++; }
    return ret;
}

//数组去重
function unique (arr) {
    var res = [];
    var json = {};
    
    for (var i = 0; i < arr.length; i++) {
        if (!json[arr[i]]) {
            res.push(arr[i]);
            json[arr[i]] = 1;
        }
    }
    return res;
}

window.alert2 = function (msg) {
    layer.open({
        content: msg,
        btn: '确定'
    });
}

window.alert3 = function (msg, func) {
    layer.open({
        content: msg,
        btn: '确定', 
        yes: function (index) { layer.closeAll(); func(); }
    });
}

//写Cookie
function addCookie(objName, objValue, objHours) {
    var str = objName + "=" + escape(objValue);
    if (objHours > 0) {//为0时不设定过期时间，浏览器关闭时cookie自动消失
        var date = new Date();
        var ms = objHours * 3600 * 1000;
        date.setTime(date.getTime() + ms);
        str += "; expires=" + date.toGMTString();
    }
    document.cookie = str;
}

//读Cookie
function getCookie(objName) {//获取指定名称的cookie的值
    var arrStr = document.cookie.split("; ");
    for (var i = 0; i < arrStr.length; i++) {
        var temp = arrStr[i].split("=");
        if (temp[0] == objName) return unescape(temp[1]);
    }
    return "";
}
//四舍五入函数
function ForDight(Dight, How) {
    Dight = Math.round(Dight * Math.pow(10, How)) / Math.pow(10, How);
    return Dight;
}

//只允许输入数字
function checkNumber(e) {
    var keynum = window.event ? e.keyCode : e.which;
    if ((48 <= keynum && keynum <= 57) || (96 <= keynum && keynum <= 105) || keynum == 8) {
        return true;
    } else {
        return false;
    }
}
//只允许输入小数
function checkForFloat(obj, e) {
    var isOK = false;
    var key = window.event ? e.keyCode : e.which;
    if ((key > 95 && key < 106) || //小键盘上的0到9  
        (key > 47 && key < 60) ||  //大键盘上的0到9  
        (key == 110 && obj.value.indexOf(".") < 0) || //小键盘上的.而且以前没有输入.  
        (key == 190 && obj.value.indexOf(".") < 0) || //大键盘上的.而且以前没有输入.  
         key == 8 || key == 9 || key == 46 || key == 37 || key == 39) {
        isOK = true;
    } else {
        if (window.event) { //IE
            e.returnValue = false;   //event.returnValue=false 效果相同.    
        } else { //Firefox 
            e.preventDefault();
        }
    }
    return isOK;
}
//复制文本
function copyText(txt) {
    window.clipboardData.setData("Text", txt);
    var d = dialog({ content: '复制成功，可以通过粘贴来发送！' }).show();
    setTimeout(function () {
        d.close().remove();
    }, 2000);
}
//切换验证码
function ToggleCode(obj, codeurl) {
    $(obj).children("img").eq(0).attr("src", codeurl + "?time=" + Math.random());
    return false;
}
//全选取消按钮函数，调用样式如：
function checkAll(chkobj) {
    if ($(chkobj).text() == "全选") {
        $(chkobj).text("取消");
        $(".checkall").prop("checked", true);
    } else {
        $(chkobj).text("全选");
        $(".checkall").prop("checked", false);
    }
}

//qinson添加的app专用checkAll
function hfyCheckAll2() {
    $("#list :checkbox").prop("checked", true);
}

//2017-9-29修改,如果有搜索列表，则全选搜索列表中的项
function hfyCheckAll(chkobj) {
    var list2 = document.getElementById("list2");
    if ($(chkobj).text() == "全选") {
        $(chkobj).text("取消");
        if (!list2)
            $("#list :checkbox").prop("checked", true);
        else
            $("#list2 :checkbox").prop("checked", true); ;
    } else {
        $(chkobj).text("全选");
        if(!list2)
            $("#list :checkbox").prop("checked", false);
        else
            $("#list2 :checkbox").prop("checked", false);
    }
}

//反选
function hfyReverseAll() {
    var list2 = document.getElementById("list2");
    if(!list2){
        $("#list :checkbox").each(function () {
            $(this).prop("checked", !$(this).prop("checked"));
            });
    } else {
        $("#list2 :checkbox").each(function () {
            $(this).prop("checked", !$(this).prop("checked"));
        });
    }
}

//Tab控制选项卡
function tabs(tabObj, event) {
    //绑定事件
    var tabItem = $(tabObj).find(".tab-head ul li a");
    tabItem.bind(event, function () {
        //设置点击后的切换样式
        tabItem.removeClass("selected");
        $(this).addClass("selected");
        //设置点击后的切换内容
        var tabNum = tabItem.parent().index($(this).parent());
        $(tabObj).find(".tab-content").hide();
        $(tabObj).find(".tab-content").eq(tabNum).show();
    });
}

//显示浮动窗口
function showWindow(obj) {
    var tit = $(obj).attr("title");
    var box = $(obj).html();
    dialog({
        width: 500,
        title: tit,
        content: box,
        okValue: '确定',
        ok: function () { }
    }).showModal();
}

/*页面级通用方法
------------------------------------------------*/

//单击执行AJAX请求操作
function clickSubmit(sendUrl) {
    $.ajax({
        type: "POST",
        url: sendUrl,
        dataType: "json",
        timeout: 20000,
        success: function (data, textStatus) {
            if (data.status == 1) {
                var d = dialog({ content: data.msg }).show();
                setTimeout(function () {
                    d.close().remove();
                    location.reload();
                }, 2000);
            } else {
                dialog({ title: '提示', content: data.msg, okValue: '确定', ok: function () { } }).showModal();
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            dialog({ title: '提示', content: "状态：" + textStatus + "；出错提示：" + errorThrown, okValue: '确定', ok: function () { } }).showModal();
        }
    });
}


//检验密码是否合要求(6-20位)
function isPasswd(s) {
    var patrn = /^(\w){6,20}$/;
    if (!patrn.exec(s)) return false
    return true
}

//验证是否为手机号码
function isMobile(s) {
    var reg = /^1[3|4|5|6|7|8|9][0-9]{9}$/; //验证规则
    var flag = reg.test(s); //true
    return flag;
}

//接收页面传参
function Request(strName) {
    var strHref = window.location.search;
    var intPos = strHref.indexOf("?");
    var strRight = strHref.substr(intPos + 1);
    var arrTmp = strRight.split("&");
    for (var i = 0; i < arrTmp.length; i++) {
        var arrTemp = arrTmp[i].split("=");
        if (arrTemp[0].toUpperCase() == strName.toUpperCase()) return arrTemp[1];
    }
    return "";
}

//判断当前是否登录
function IsLogin() {
    if (localStorage.token && localStorage.username) {
        return true;
    } else {
        return false;
    }
   
}

//用弹出窗口的形式，打开一个页面
//url: 页面地址
function dialogPage(url) {
    var pageii = layer.open({
        type: 1
        , content: '<iframe src="' + url + '" id="dialogQinson"  scrolling="no" frameborder="0"></iframe>'
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
    });
    var ifm = document.getElementById("dialogQinson");
    if (ifm) {
        ifm.height = document.documentElement.clientHeight;
        ifm.width = document.documentElement.clientWidth;
    }
}

//用弹出窗口的形式，展现指定元素的内容
//content:html内容
function dialogContent(content) {
    var pg = layer.open({
        type: 1
        , content: content
        , anim: 'up'
        , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
    })
}

/** 
 * @param {String} errorMessage  错误信息 
 * @param {String} scriptURI   出错的文件 
 * @param {Long}  lineNumber   出错代码的行号 
 * @param {Long}  columnNumber  出错代码的列号 
 * @param {Object} errorObj    错误的详细信息，Anything 

window.onerror = function (errorMessage, scriptURI, lineNumber, columnNumber, errorObj) {
    if (errorMessage.indexOf("Uncaught")<0)
    alert("程序出错了:" + errorMessage);
}
 */

/*
* 再次发送
*/
function sendAgain() {
    var obj = event.target.parentNode.parentNode;
    if (obj) {
        try {
            var receive = obj.getAttribute("data_rec");
            if (receive) {
                var obj2 = obj.getElementsByClassName("div3")[0];
                localStorage.Receive = receive;
                localStorage.tmpMsg = obj2.innerText;
                localStorage.InputType = 1;//默认从通讯录中导入
                location.href = 'Send.html';
            }
        } catch (e) { alert(e.message); }
    } else {
        //alert("没有找到元素");
    }
}

//如果当前存在token值,则直接验证token值
function checkToken() {
    //如果不存在token，则不提交
    if (!localStorage.token) {
        return;
    }
    var url = location.href;
    var isJump = false;
    if (url.indexOf("wellcome") >= 0) { //如果是欢迎页，登录不成功则跳转
        isJump = true;
    }
    var keys = auth(); 
    $.ajax({
        type: "POST",
        url: "http://msg.106117.com/submit_ajax.ashx",
        dataType: "jsonp",
        data: {
            "username": localStorage.username,
            "token": localStorage.token,
            "action": "checkLoginS",
             "timestamp": keys.timestamp,
            "secretValue": keys.secretValue
        },
        timeout: 30000,
        crossDomain: true,
        success: function (data, textStatus) {
            if (data.status == 1) {
                //从服务器更新帐户余额，分组信息
                window.localStorage.money = data.amount;
                localStorage.groupName = JSON.stringify(data.groupName); //当前用户的分组名称
                localStorage.groupList = JSON.stringify(data.groupList); //当前用户的分组列表
                localStorage.FirstOpen = 2; //是否首次打开
                localStorage.contactsGroup = "";//清空联系人缓存
                

                if (!data.url) {
                    //InitCache(); //初始化缓存
                    window.location.href = "ContactsGroup.html";
                } else {
                    location.href = data.url;
                }
            } else {
                //如果登录失败，什么也不操作
                if (isJump) {
                    location.href = "login.html";
                }
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            if (errorThrown == "timeout") {
                alert2("登录超时，请检查网络是否连接");
            } else {
                alert2("出错提示：" + errorThrown); 
            }
            if (isJump) {
                location.href = "login.html";
            }
        }
    });
}

//初始化缓存
function InitCache() {
    localStorage.Receive = "";
    localStorage.tmpCount = "";
    localStorage.tmpMsg = "";
    localStorage.tmpMsgCount = "";
}

//设置为定时发送
function setIsTime() {
    sessionStorage.isTime = 1; //定时发送
    window.location.href = "Send.html";
    return false;
}

//充值后更新当前帐户余额
function updateMoney(type) {
    if (!localStorage.money) localStorage.money = 0;
        var money = parseFloat(localStorage.money);
    switch (type) {
        case "1": money += 16; break;
        case "2": money += 40; break;
        case "3": money += 80; break;
        case "4": money += 160; break;
        case "5": money += 400; break;
        case "6": money += 800; break;

        //后面的修改及新增的套餐
        case "21": money += 80; break;
        case "22": money += 240; break;
        case "23": money += 400; break;
        case "24": money += 800; break;
        case "25": money += 4000; break;
        case "26": money += 8000; break;

        case "31": money += 40; break;
        case "32": money += 160; break;
        case "33": money += 400; break;
        case "34": money += 800; break;
        case "35": money += 1600; break;
        case "36": money += 4000; break;
        case "37": money += 8000; break;

        case "45": money += 1511.04; break;
        case "46": money += 3751.04; break;
        case "47": money += 7671.04; break;
        case "48": money += 24000; break;
        case "49": money += 16000; break;

        //这里是签到充值后赠送金额
        case "010": money += 0.88; break;
        default: break;
    }
    localStorage.money = toDecimal(money);
}

//苹果手机充值后更新帐户余额
function updateAmount(amount) {
    if (!localStorage.money) localStorage.money = 0;
    var money = parseFloat(localStorage.money) + parseFloat(amount);
    localStorage.money = toDecimal(money);
}

//充值成功后，跳转页面
function paySuccessSkip() {
    try {
        navigator.app.clearHistory(); //清空浏览历史
    } catch (e) { };
    if (localStorage.action == "send") {
        window.location.href = "Send.html";
    } else {
        if (DEVICE == "iOS") {
            window.location.href = 'RechargeIOS.html';
        } else {
            //如果当前是第三方登录，并且没有绑定手机号
            if (localStorage.username.length>12 && localStorage.isBind && localStorage.isBind == 0) {
                window.location.href = 'BindMobile.html';
            } else {
                window.location.href = 'Recharge.html';
            }
        }
    }
}

//保留两位小数  
//功能：将浮点数四舍五入，取小数点后2位 
function toDecimal(x) {
    var f = parseFloat(x);
    if (isNaN(f)) {
        return;
    }
    f = Math.round(x * 100) / 100;
    return f;
} 

//显示搜索框
//20180725修改:如果字母导航条存在,显示搜索时,不显示字母导航条
function showSearch() {
    var own = document.getElementById("item-container");
    var divSearch = document.getElementById("divSearch");
    if (divSearch) return;

    var div = document.createElement('div');
    var div2 = document.createElement('div'); //占位
    div.id = "divSearch";
    div2.id = "divPlace";
    div2.style.height = "53px";

    if (own) {
        $(".index-sidebar-container").hide(); //隐藏字母导航
        own.insertBefore(div, own.childNodes[0]);
        div.innerHTML = '<div><div class="left" style="width:80%"><input type="text" id="txtSearch" class="txtInput" placeholder="搜索" ' +
            ' onkeyup="contactsSearch();"  />' +
            '</div><div class="right searchRight" style="width:50px;" onclick="hideSearch()"></div></div>';

        //如果当前页是"AddReceive.html"，则不显示占位符
        var url = window.location.href;

        if (url.indexOf("AddReceive")==-1)
            own.insertBefore(div2, own.childNodes[0]);
    }
}

//隐藏搜索框
function hideSearch() {
    //1,首先，删除搜索效果
    //2,删除搜索框
    var own = document.getElementById("item-container");
    var divSearch = document.getElementById("divSearch");
    if (own && divSearch) {
        own.removeChild(divSearch);
        var div2 = document.getElementById("divPlace");
        if (div2) {
            own.removeChild(div2);
        }
        //显示所有li
        strOldSearch = "";
        var own = document.getElementById("item-container");
        var list1 = document.getElementById("data");
        var list2 = document.getElementById("list2");
        //如果list2存在,则删除引用
        if (list2) own.removeChild(list2);

        if (list1){
            list1.style.display = "";
        }
        $(".index-sidebar-container").show(); //显示字母导航
    }
}

var strOldSearch = ""; //保存上次的搜索词
var strUl = ""; //保存列表里面的内容

//搜索联系人
function contactsSearch() {
    var own = document.getElementById("item-container");
    var objUl = document.getElementById("data"); //原始list
    var txtObj = document.getElementById("txtSearch");

    //2019.11.26得到被查询的数据
    var lis = jqVirtualTable.data;
    var count = Object.keys(lis).length;

    if (!lis || !txtObj) return;
    var text = "";
    var obj;
    var html = "";
    var checked = "";
    var strSearch = txtObj.value.trim();

    var list2 = document.getElementById("list2"); //为了优化搜索新增的list
    objUl.style.display = "none";

    if (strSearch != strOldSearch) { //如果内容发生了改变
        strOldSearch = strSearch; //保存当前内容

        if (!list2) {//如果没有,则新增
            list2 = document.createElement('div'); //2019.11.26由ul修改为div容器
            list2.id = "list2";
            own.insertBefore(list2, own[1]);
        }
        list2.innerHTML = "";//先清空
        //只显示前50个搜索结果
        var len = 0;
        var searchLength = 50; //搜索显示结果
        if (strSearch.length > 3) searchLength = 200;


        //2019.11.26判断查询结果是否被选中之前的数据处理
        var sList = selected.split(";");
        var sArr = [];
        for (var i = 0; i < sList.length; ++i) {
            var s = sList[i].split(",");
            sArr.push(s[2]);
        }

        //2019.11.26重写的for循环
        for (var i = 0; i < count; i++) {
            obj = lis[i].split(',');
            text = obj[1] + ',' + obj[2];
            text = text.replace(/\s/g, "");
 
            if (text.indexOf(strSearch) != -1) {

                //判断单选按钮是否已选中
                if (sArr.indexOf(obj[3]) > -1) checked = "checked";
                else checked = "";

                //为查询结果添加html标签
                html += "<li data-ch='" + obj[0] + "'><div class='item'><span class='spanUsername'>" + obj[1] + "</span>";
                html += "<span class='spanTel'>" + obj[2] + "</span>";
                html += "<span class='spanCheck'><input onclick='selectRadio(this)' type='checkbox' data_username='" + obj[1] + "' data_tel='" + obj[2] + "' data_id='" + obj[3] + "'" + checked + "></span></div></li>";

                len++;

                if (len >= searchLength) break;
            }
        }
        list2.innerHTML = html;
    }
}

//转义掉json中的特殊字符
function jsonReplace(v) {
    if (v.indexOf("\"") != -1) {
        v = v.toString().replace(new RegExp('(["\"])', 'g'), "\\\"");
    }
    else if (v.indexOf("\\") != -1)
        v = v.toString().replace(new RegExp("([\\\\])", 'g'), "\\\\");
    return v;
} 

//判断当前登录用户是否为第三方登录，并且有没有绑定手机号码
function isBind() {
    var bind = true;
    if (!isMobile(localStorage.username)) {
        if (localStorage.isBind && localStorage.isBind == 0) {
            bind = false;
        }
    }
    return bind;
}


//判断游客登录
function isVistor() {
    if (localStorage.username && localStorage.token) {
        return false;
    } else {
      var pageLayer = layer.open({
            type: 1
          , content: '<iframe src="newReg.html" id="frmReg" scrolling="no" frameborder="0"></iframe>'
            , anim: 'up'
            , style: 'position:absolute; left:0; top:0; width:100%; height:100%; border: none; -webkit-animation-duration: .5s; animation-duration: .5s;'
        });
        var ifm = document.getElementById("frmReg");
        if (ifm) {
            ifm.height = document.documentElement.clientHeight;
            ifm.width = document.documentElement.clientWidth;
        }
    }
}

//调试工具
window.onerror = function (message, source, lineno, colno, error) {
    if (!DEBUG) return;
    alert(source + "," + lineno + "," + message);
}

//关闭应用
function onClose() {
    navigator.app.exitApp();
}


//两个对象的差集(对象，数组)
function subSet (aArr, bArr) {
    var result = [];
    for (var key in aArr) {
        if (bArr.indexOf(aArr[key]) == -1) {
            result.push(aArr[key]);
        }
    }
    return result;
};