﻿
//远程加载节日信息
$(document).ready(function () {
    var groupId = Request("groupId");
    if(!groupId || groupId=="75"){
        getHolidayPublic();
    } else {
        getHolidaySubGroup(groupId);
        window.layer.closeAll();
        setHeadBlank("56px");
    }
    getHolidayList();
});

//测试函数,先清空缓存
function clear() {
    localStorage.cJRLB = "";
}

//得到常用节日列表
function getHolidayPublic() {
    var obj = document.getElementById("main");
    if (!obj) return;
    if (sessionStorage.cJR) {
        obj.innerHTML = sessionStorage.cJR;
    } else {
        jQuery.ajax({
            url: "http://msg.106117.com/Holiday.ashx",
            type: "get",
            data: { action: 'holidayList' },
            dataType: "html",
            success: function (msg) {
                sessionStorage.cJR = msg;
                //obj.innerHTML = msg;

                //只显示部分数据
                var arr = msg.split("</a>");
                sessionStorage.cJR = arr[0] + "</a>";
                obj.innerHTML = sessionStorage.cJR;
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
            },
            complete: function (XMLHttpRequest, textStatus) {
                this;
            }
        });
    }
}



//得到菜单列表
function getHolidayList() {
    var obj = document.getElementById("holidayMain");
    if (!obj) return;
    if (Debug) localStorage.cJRLB = ""; //test

    if (localStorage.cJRLB) {
         obj.innerHTML = localStorage.cJRLB;
    } else {
        jQuery.ajax({
            url: "http://msg.106117.com/HolidayGroup.ashx",
            type: "get",
            data: {},
            dataType: "html",
            success: function (msg) {
                //先保存在缓存中
                localStorage.cJRLB = msg;
                obj.innerHTML = msg;

                
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
            },
            complete: function (XMLHttpRequest, textStatus) {
                this; // 调用本次AJAX请求时传递的options参数
            }
            });
    }
}

//弹出菜单
function openHolidayList() {
    var obj = document.getElementById("openMenu");
    if (obj) {
        var content = obj.innerHTML;
        dialogContent(content);
        //设置高度
        var height = localStorage.deviceHeight - 50;
        $(".holidayGroupList").height(height);
    }
}

//设定头部空白高度（需兼容iOS）
function setHeadBlank(height) {
    var obj = document.getElementById("headBlank");
    if (obj) {
         obj.style.height = height;
    }
}

